## org.apache.portals.bridges.velocity
Class AbstractVelocityMessagingPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.common.GenericServletPortlet
              org.apache.portals.bridges.velocity.GenericVelocityPortlet
                  org.apache.portals.bridges.velocity.AbstractVelocityMessagingPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public abstract class AbstractVelocityMessagingPortlet
extends GenericVelocityPortlet

velocity abstract messaging portlet

Version:
  $Id: AbstractVelocityMessagingPortlet.java,v 1.3 2005/03/23 06:24:38 david Exp $
Author:
  David Sean Taylor

Field Summary
`static String` `STATUS_MESSAGE`
`private String` `topic`

Fields inherited from class org.apache.portals.bridges.velocity.GenericVelocityPortlet
`PORTLET_BRIDGE_CONTEXT`

Fields inherited from class org.apache.portals.bridges.common.GenericServletPortlet
`PARAM_ACTION_PAGE, PARAM_ALLOW_PREFERENCES, PARAM_CUSTOM_PAGE, PARAM_EDIT_PAGE, PARAM_HELP_PAGE, PARAM_MAX_PAGE, PARAM_VIEW_PAGE`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`AbstractVelocityMessagingPortlet()`

Method Summary
`protected void` `cancelRenderMessage(javax.portlet.PortletRequest request, String message)`
`protected Object` `consumeRenderMessage(javax.portlet.PortletRequest request, String message)`
`protected String` `getTopic()`
`protected boolean` `isEmpty(String s)`
`protected void` `publishRenderMessage(javax.portlet.PortletRequest request, String message, Object value)`
`protected Object` `receiveRenderMessage(javax.portlet.PortletRequest request, String message)`
`protected void` `setTopic(String topic)`

Methods inherited from class org.apache.portals.bridges.velocity.GenericVelocityPortlet
`doCustom, doEdit, doHelp, doPreferencesEdit, doView, getContext, getContext, init, processAction, render, setupPreferencesEdit`

Methods inherited from class org.apache.portals.bridges.common.GenericServletPortlet
`getDefaultActionPage, getDefaultCustomPage, getDefaultEditPage, getDefaultHelpPage, getDefaultViewPage, processPreferencesAction, setDefaultActionPage, setDefaultCustomPage, setDefaultEditPage, setDefaultHelpPage, setDefaultViewPage`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topic

    private String topic

### STATUS_MESSAGE

    public static final String STATUS_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### AbstractVelocityMessagingPortlet

    public AbstractVelocityMessagingPortlet()

Method Detail

### isEmpty

    protected boolean isEmpty(String s)

### getTopic

    protected String getTopic()

### setTopic

    protected void setTopic(String topic)

### cancelRenderMessage

    protected void cancelRenderMessage(javax.portlet.PortletRequest request,
                                       String message)

### receiveRenderMessage

    protected Object receiveRenderMessage(javax.portlet.PortletRequest request,
                                          String message)

### consumeRenderMessage

    protected Object consumeRenderMessage(javax.portlet.PortletRequest request,
                                          String message)

### publishRenderMessage

    protected void publishRenderMessage(javax.portlet.PortletRequest request,
                                        String message,
                                        Object value)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.